Rygel.HTTPTimeSeekRequest – librygel-server Reference Manual

# HTTPTimeSeekRequest

## Object Hierarchy:

## Description:

public class HTTPTimeSeekRequest : HTTPSeekRequest

This class represents a DLNA TimeSeekRange request.

A TimeSeekRange request can only have a time range ("npt=start-end").

Namespace: Rygel
Package: librygel-server

## Content:

### Constants:

- public const unowned string TIMESEEKRANGE_HEADER

### Static methods:

- public static bool supported (Message message, HTTPGetHandler handler)
  Return true if time-seek is supported.
- public static bool requested (Message message)
  Return true of the HTTPGet contains a TimeSeekRange request.

### Methods:

- public string to_string ()

### Fields:

- public int64 start_time
  Requested range start time, in microseconds
- public int64 end_time
  Requested range end time, in microseconds
- public int64 range_duration
  Requested range duration, in microseconds
- public int64 total_duration
  The total duration of the resource, in microseconds

### Inherited Members:

All known members inherited from class Rygel.HTTPSeekRequest

- UNSPECIFIED

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count